< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package crypto
  Definition Classes
    hmrc
- AesCrypto
- AesGCMCrypto
- ApplicationCrypto
- CompositeOneWayCrypto
- CompositeSymmetricCrypto
- Crypted
- CryptoGCMWithKeysFromConfig
- CryptoWithKeysFromConfig
- Decrypter
- Encrypter
- Hasher
- PlainBytes
- PlainContent
- PlainText
- RSAEncryptDecrypt
- Scrambled
- Sha512Crypto
- SymmetricHasher
- Verifier

c

uk.gov.hmrc.crypto

# CryptoWithKeysFromConfig 

###

#### class CryptoWithKeysFromConfig extends CompositeSymmetricCrypto

Linear Supertypes
CompositeSymmetricCrypto, Decrypter, Encrypter, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CryptoWithKeysFromConfig
2. CompositeSymmetricCrypto
3. Decrypter
4. Encrypter
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new CryptoWithKeysFromConfig(baseConfigKey: String, config: Config)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
6.  val currentCrypto: AesCrypto
   Attributes
     protected
   Definition Classes
     CryptoWithKeysFromConfig → CompositeSymmetricCrypto
7.  def decrypt(scrambled: Crypted): PlainText
   Definition Classes
     CompositeSymmetricCrypto → Decrypter
8.  def decryptAsBytes(scrambled: Crypted): PlainBytes
   Definition Classes
     CompositeSymmetricCrypto → Decrypter
9.  def encrypt(value: PlainContent): Crypted
   Definition Classes
     CompositeSymmetricCrypto → Encrypter
10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
12.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
13.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  val previousCryptos: Seq[Decrypter]
    Attributes
      protected
    Definition Classes
      CryptoWithKeysFromConfig → CompositeSymmetricCrypto
20.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
21.  def toString(): String
    Definition Classes
      AnyRef → Any
22.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
23.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
24.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )

### Inherited from CompositeSymmetricCrypto

### Inherited from Decrypter

### Inherited from Encrypter

### Inherited from AnyRef

### Inherited from Any

### Ungrouped